# jinit.tcl - common application initialisation procedures
#
###############################################################################
#  Copyright 1992-2001 by Jay Sekora.  This file may be freely distributed,   #
#  modified or unmodified, for any purpose, provided that this copyright      #
#  notice is retained verbatim in all copies and no attempt is made to        #
#  obscure the authorship of this file.  If you distribute any modified       #
#  versions, I ask, but do not require, that you clearly mark any changes     #
#  you make as such and that you provide your users with instructions for     #
#  getting the original sources.                                              #
###############################################################################

package provide aq 0.1

# following has side-effect of making sure ::aq namespace is defined
namespace eval ::aq {
  namespace export {[a-z]*}
  catch {
    package require jldb
    # following likely to fail, because done by other libraries too
    namespace import ::jldb::shortcuts::*
  }
}

######################################################################
# ::aq::site_init - site-specific initialisation for aq
######################################################################

proc ::aq::site_init { {app aq} } {
  package require jldb
  
  global J_PREFS			;# user preferences
  global J_SITE				;# site-specific values
  
  # The following commands can be uncommented and edited to set
  #   site-specific values.  You can also do fancy things like
  #   parse your /etc/printcap to find printer names if you like.
  
  # set J_SITE(printers) {lp draft high duplex simplex}
  
  # Below here you could add any additional site-specific code you wanted
  # to run whenever a user starts an aqtools application.
}

